com.lowagie.text.pdf.codec.wmf

## Class MetaObject

- java.lang.Object
- - com.lowagie.text.pdf.codec.wmf.MetaObject

- Direct Known Subclasses:
    MetaBrush, MetaFont, MetaPen

      public class MetaObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `META_BRUSH`
    `static int` | `META_FONT`
    `static int` | `META_NOT_SUPPORTED`
    `static int` | `META_PEN`
    `int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaObject()`
    `MetaObject(int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### META_NOT_SUPPORTED

          public static final int META_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### META_PEN

          public static final int META_PEN

      See Also:
        Constant Field Values

    - #### META_BRUSH

          public static final int META_BRUSH

      See Also:
        Constant Field Values

    - #### META_FONT

          public static final int META_FONT

      See Also:
        Constant Field Values

    - #### type

          public int type

  - ### Constructor Detail

    - #### MetaObject

          public MetaObject()

    - #### MetaObject

          public MetaObject(int type)

  - ### Method Detail

    - #### getType

          public int getType()